Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.model.resolvers
Class AbstractEntryPointResolver

    java.lang.Object
      org.mule.model.resolvers.AbstractEntryPointResolver

All Implemented Interfaces:
  EntryPointResolver

Direct Known Subclasses:
  AnnotatedEntryPointResolver, ExplicitMethodEntryPointResolver, MethodHeaderPropertyEntryPointResolver, ReflectionEntryPointResolver

    public abstract class AbstractEntryPointResolver

extends Object
implements EntryPointResolver

A Base class for `EntryPointResolver`. It provides parameters for detemining if the payload of the message should be transformed first and whether void methods are acceptible. It also provides a method cashe for those resolvers that use reflection to discover methods on the service.

Constructor Summary
`AbstractEntryPointResolver()`

Method Summary
`protected Method` | `addMethodByArguments(Object component, Method method, Object[] payload)`
`protected Method` | `addMethodByName(Object component, Method method, MuleEventContext context)`
`protected String` | `getCacheKeyForPayload(Object component, Object[] payload)`
`protected Method` | `getMethodByArguments(Object component, Object[] payload)`
`protected Method` | `getMethodByName(Object component, String methodName, MuleEventContext context)`
`protected edu.emory.mathcs.backport.java.util.concurrent.ConcurrentHashMap` | `getMethodCache(Object component)`
`protected Object[]` | `getPayloadFromMessage(MuleEventContext context)`
`protected InvocationResult` | `invokeMethod(Object component, Method method, Object[] arguments)`
`boolean` | `isAcceptVoidMethods()`
`boolean` | `isSynchronizeCall()`
`void` | `setAcceptVoidMethods(boolean acceptVoidMethods)`
`void` | `setSynchronizeCall(boolean synchronizeCall)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.model.EntryPointResolver
`invoke`

Constructor Detail

### AbstractEntryPointResolver

    public AbstractEntryPointResolver()

Method Detail

### isAcceptVoidMethods

    public boolean isAcceptVoidMethods()

### setAcceptVoidMethods

    public void setAcceptVoidMethods(boolean acceptVoidMethods)

### getMethodCache

    protected edu.emory.mathcs.backport.java.util.concurrent.ConcurrentHashMap getMethodCache(Object component)

### getMethodByName

    protected Method getMethodByName(Object component,
                                     String methodName,
                                     MuleEventContext context)

### addMethodByName

    protected Method addMethodByName(Object component,
                                     Method method,
                                     MuleEventContext context)

### addMethodByArguments

    protected Method addMethodByArguments(Object component,
                                          Method method,
                                          Object[] payload)

### getMethodByArguments

    protected Method getMethodByArguments(Object component,
                                          Object[] payload)

### getCacheKeyForPayload

    protected String getCacheKeyForPayload(Object component,
                                           Object[] payload)

### getPayloadFromMessage

    protected Object[] getPayloadFromMessage(MuleEventContext context)
                                      throws TransformerException

  Throws:
    `TransformerException`

### invokeMethod

    protected InvocationResult invokeMethod(Object component,
                                            Method method,
                                            Object[] arguments)
                                     throws InvocationTargetException,
                                            IllegalAccessException

  Throws:
    `InvocationTargetException`
    `IllegalAccessException`

### isSynchronizeCall

    public boolean isSynchronizeCall()

### setSynchronizeCall

    public void setSynchronizeCall(boolean synchronizeCall)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.